package com.jojubanking.boot.module.system.convert.xytjjg;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.xytjjg.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.xytjjg.XytjjgDO;

/**
 * HIS项目 Convert
 *
 * @author admin
 */
@Mapper
public interface XytjjgConvert {

    XytjjgConvert INSTANCE = Mappers.getMapper(XytjjgConvert.class);

    XytjjgDO convert(XytjjgCreateReqVO bean);

    XytjjgDO convert(XytjjgUpdateReqVO bean);

    XytjjgRespVO convert(XytjjgDO bean);

    List<XytjjgRespVO> convertList(List<XytjjgDO> list);

    PageResult<XytjjgRespVO> convertPage(PageResult<XytjjgDO> page);

    List<XytjjgExcelVO> convertList02(List<XytjjgDO> list);

    List<XytjjgHisItems> convertList03(List<XytjjgDO> list);

}
